﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using Navigation;

namespace Survey
{
	public partial class Question1 : Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!Page.IsPostBack)
			{
				if (StateContext.Data["answer"] != null)
				{
					Answer.SelectedValue = (string)StateContext.Data["answer"];
				}
			}
		}

		protected void Next_Click(object sender, EventArgs e)
		{
			StateContext.Data["answer"] = Answer.SelectedValue;
			NavigationData data = new NavigationData();
			data["technology"] = Answer.SelectedValue;
			if (Answer.SelectedValue != "MVC")
			{
				StateController.Navigate("Next", data);
			}
			else
			{
				StateController.Navigate("Next_MVC", data);
			}
		}
	}
}