﻿using System;
using System.Web.UI;
using Navigation;

namespace Survey
{
	public partial class Thanks : Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (StateController.CanNavigateBack(2))
			{
				Question1.NavigateUrl = StateController.GetNavigationBackLink(2);
				Question2.NavigateUrl = StateController.GetNavigationBackLink(1);
			}
			else
			{
				Question1.NavigateUrl = StateController.GetNavigationBackLink(1);
				Question2.Visible = false;
			}
			Summary.Text = (string) StateContext.Data["technology"];
			if (StateContext.Data["navigation"] != null)
			{
				Summary.Text += ", " + (bool) StateContext.Data["navigation"];
			}
		}
	}
}