﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using Navigation;

namespace Survey
{
	public partial class Question2 : Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			Question1.NavigateUrl = StateController.GetNavigationBackLink(1);
			if (!Page.IsPostBack)
			{
				if (StateContext.Data["answer"] != null)
				{
					Answer.SelectedValue = (string)StateContext.Data["answer"];
				}
			}
		}

		protected void Next_Click(object sender, EventArgs e)
		{
			StateContext.Data["answer"] = Answer.SelectedValue;
			NavigationData data = new NavigationData(true);
			data["navigation"] = Answer.SelectedValue == "Yes" ? true : false;
			StateController.Navigate("Next", data);
		}
	}
}